Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences.annotation
Class CisRegulatoryModuleAnnotation

    java.lang.Object
      de.jstacs.results.ResultSet
          de.jstacs.data.sequences.annotation.SequenceAnnotation
              de.jstacs.data.sequences.annotation.CisRegulatoryModuleAnnotation

All Implemented Interfaces:
  Storable

    public class CisRegulatoryModuleAnnotation

extends SequenceAnnotation

Annotation for a cis-regulatory module as defined by a set of `MotifAnnotation`s of the motifs in the module.

Author:
  Jan Grau
See Also:
  `MotifAnnotation`

Field Summary

Fields inherited from class de.jstacs.results.ResultSet
`results`

Constructor Summary
`CisRegulatoryModuleAnnotation(StringBuffer representation)` The standard constructor for the interface `Storable`.
`CisRegulatoryModuleAnnotation(String identifier, MotifAnnotation[] motifs, Result... additionalAnnotation)` Creates a new `CisRegulatoryModuleAnnotation` from a set of motifs and possibly additional annotations.

Method Summary

Methods inherited from class de.jstacs.data.sequences.annotation.SequenceAnnotation
`fromXML, getAnnotations, getIdentifier, getSubAnnotations, getType, toString, toXML`

Methods inherited from class de.jstacs.results.ResultSet
`findColumn, getNumberOfResults, getResultAt, getResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CisRegulatoryModuleAnnotation

    public CisRegulatoryModuleAnnotation(String identifier,
                                         MotifAnnotation[] motifs,
                                         Result... additionalAnnotation)

  Creates a new `CisRegulatoryModuleAnnotation` from a set of motifs and possibly additional annotations.

  Parameters:
    `identifier` - the identifier of this annotation
    `motifs` - the motifs in the module
    `additionalAnnotation` - the additional annotations
  See Also:
    `SequenceAnnotation.SequenceAnnotation(String, String, SequenceAnnotation[], Result...)`

### CisRegulatoryModuleAnnotation

    public CisRegulatoryModuleAnnotation(StringBuffer representation)
                                  throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `CisRegulatoryModuleAnnotation` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `CisRegulatoryModuleAnnotation` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `SequenceAnnotation.SequenceAnnotation(StringBuffer)`, `Storable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD